<?php
/*
 * Developer : John D'Alto (jdalto@yahoo.com)
 * Date : 9/1/2012
 * All code (c)2012 JLS Consulting, all rights reserved
 */

namespace Dorcas\TabithaBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="Dorcas\TabithaBundle\Repository\TabithaRepository")
 * @ORM\Table(name="promissory")
 */

class Promissory
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $promissory_id;
    
    /**
     * @ORM\Column(type="integer")
     */
    protected $client_id;  
    
    
    /**
     * @ORM\Column(type="string", length=100, nullable=true)
     */
    protected $client_name;
    
    /**
     * @ORM\Column(type="string", length=100, nullable=true)
     */
    protected $client_address;
    
    /**
     * @ORM\Column(type="string", length=100, nullable=true)
     */
    protected $counselor;
    
    /**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
    protected $balance_client;
    
    /**
     * @ORM\Column(type="datetime", nullable=true)
     */
    protected $expiration_date;
    
    /**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
    protected $pledge_dorcas;
        
    /**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
	protected $pledge_other;
    
    /**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
    protected $pledge_other2;
	
	/**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
	protected $other_desc;
    
    /**
     * @ORM\Column(type="decimal", scale=2, nullable=true)
     */
    protected $other_desc2;
    
    /**
     * @ORM\ManyToOne(targetEntity="CheckPurpose")
     */
    protected $check_purpose;
    
    /**
     * @ORM\Column(type="string", length=50, nullable=true)
     */
    protected $account_number;  

	/**
     * @ORM\Column(type="string", length=50, nullable=true)
     */
    protected $name_on_bill; 
    
    /**
     * @ORM\Column(type="string", length=100, nullable=true)
     */
    protected $vendor_name;
    
    /**
     * @ORM\Column(type="string", length=100, nullable=true)
     */
    protected $vendor_address;
    
    
    /**
     * @ORM\Column(type="datetime")
     */
    protected $created_dt;
    
    /**
     * @ORM\Column(type="datetime")
     */
    protected $modified_dt;
     
   
    /**
     * @ORM\preUpdate
     */
    public function setUpdatedValue()
    {
       $this->setModifiedDt(new \DateTime());
    }

   public function __construct()
    {
        $this->setCreatedDt(new \DateTime());
        $this->setModifiedDt(new \DateTime());
    }
    



    /**
     * Get promissory_id
     *
     * @return integer 
     */
    public function getPromissoryId()
    {
        return $this->promissory_id;
    }

    /**
     * Set client_id
     *
     * @param integer $clientId
     */
    public function setClientId($clientId)
    {
        $this->client_id = $clientId;
    }

    /**
     * Get client_id
     *
     * @return integer 
     */
    public function getClientId()
    {
        return $this->client_id;
    }

    

    /**
     * Set client_name
     *
     * @param string $clientName
     */
    public function setClientName($clientName)
    {
        $this->client_name = $clientName;
    }

    /**
     * Get client_name
     *
     * @return string 
     */
    public function getClientName()
    {
        return $this->client_name;
    }

    /**
     * Set client_address
     *
     * @param string $clientAddress
     */
    public function setClientAddress($clientAddress)
    {
        $this->client_address = $clientAddress;
    }

    /**
     * Get client_address
     *
     * @return string 
     */
    public function getClientAddress()
    {
        return $this->client_address;
    }

    /**
     * Set counselor
     *
     * @param string $counselor
     */
    public function setCounselor($counselor)
    {
        $this->counselor = $counselor;
    }

    /**
     * Get counselor
     *
     * @return string 
     */
    public function getCounselor()
    {
        return $this->counselor;
    }

    /**
     * Set balance_client
     *
     * @param decimal $balanceClient
     */
    public function setBalanceClient($balanceClient)
    {
        $this->balance_client = $balanceClient;
    }

    /**
     * Get balance_client
     *
     * @return decimal 
     */
    public function getBalanceClient()
    {
        return $this->balance_client;
    }

    /**
     * Set expiration_date
     *
     * @param datetime $expirationDate
     */
    public function setExpirationDate($expirationDate)
    {
        $this->expiration_date = $expirationDate;
    }

    /**
     * Get expiration_date
     *
     * @return datetime 
     */
    public function getExpirationDate()
    {
        return $this->expiration_date;
    }

    /**
     * Set pledge_dorcas
     *
     * @param decimal $pledgeDorcas
     */
    public function setPledgeDorcas($pledgeDorcas)
    {
        $this->pledge_dorcas = $pledgeDorcas;
    }

    /**
     * Get pledge_dorcas
     *
     * @return decimal 
     */
    public function getPledgeDorcas()
    {
        return $this->pledge_dorcas;
    }

   
    /**
     * Set pledge_other
     *
     * @param decimal $pledgeOther
     */
    public function setPledgeOther($pledgeOther)
    {
        $this->pledge_other = $pledgeOther;
    }

    /**
     * Get pledge_other
     *
     * @return decimal 
     */
    public function getPledgeOther()
    {
        return $this->pledge_other;
    }

    /**
     * Set account_number
     *
     * @param string $accountNumber
     */
    public function setAccountNumber($accountNumber)
    {
        $this->account_number = $accountNumber;
    }

    /**
     * Get account_number
     *
     * @return string 
     */
    public function getAccountNumber()
    {
        return $this->account_number;
    }

    /**
     * Set vendor_name
     *
     * @param string $vendorName
     */
    public function setVendorName($vendorName)
    {
        $this->vendor_name = $vendorName;
    }

    /**
     * Get vendor_name
     *
     * @return string 
     */
    public function getVendorName()
    {
        return $this->vendor_name;
    }

    /**
     * Set vendor_address
     *
     * @param string $vendorAddress
     */
    public function setVendorAddress($vendorAddress)
    {
        $this->vendor_address = $vendorAddress;
    }

    /**
     * Get vendor_address
     *
     * @return string 
     */
    public function getVendorAddress()
    {
        return $this->vendor_address;
    }

    
    /**
     * Set other_desc
     *
     * @param string $otherDesc
     */
    public function setOtherDesc($otherDesc)
    {
        $this->other_desc = $otherDesc;
    }

    /**
     * Get other_desc
     *
     * @return string 
     */
    public function getOtherDesc()
    {
        return $this->other_desc;
    }

    /**
     * Set created_dt
     *
     * @param datetime $createdDt
     */
    public function setCreatedDt($createdDt)
    {
        $this->created_dt = $createdDt;
    }

    /**
     * Get created_dt
     *
     * @return datetime 
     */
    public function getCreatedDt()
    {
        return $this->created_dt;
    }

    /**
     * Set modified_dt
     *
     * @param datetime $modifiedDt
     */
    public function setModifiedDt($modifiedDt)
    {
        $this->modified_dt = $modifiedDt;
    }

    /**
     * Get modified_dt
     *
     * @return datetime 
     */
    public function getModifiedDt()
    {
        return $this->modified_dt;
    }

    /**
     * Set assistance_type
     *
     * @param Dorcas\TabithaBundle\Entity\CheckPurpose $assistanceType
     */
    public function setAssistanceType(\Dorcas\TabithaBundle\Entity\CheckPurpose $assistanceType)
    {
        $this->assistance_type = $assistanceType;
    }

    /**
     * Get assistance_type
     *
     * @return Dorcas\TabithaBundle\Entity\CheckPurpose 
     */
    public function getAssistanceType()
    {
        return $this->assistance_type;
    }

    /**
     * Set pledge_other2
     *
     * @param decimal $pledgeOther2
     */
    public function setPledgeOther2($pledgeOther2)
    {
        $this->pledge_other2 = $pledgeOther2;
    }

    /**
     * Get pledge_other2
     *
     * @return decimal 
     */
    public function getPledgeOther2()
    {
        return $this->pledge_other2;
    }

    /**
     * Set other_desc2
     *
     * @param decimal $otherDesc2
     */
    public function setOtherDesc2($otherDesc2)
    {
        $this->other_desc2 = $otherDesc2;
    }

    /**
     * Get other_desc2
     *
     * @return decimal 
     */
    public function getOtherDesc2()
    {
        return $this->other_desc2;
    }

    /**
     * Set name_on_bill
     *
     * @param string $nameOnBill
     */
    public function setNameOnBill($nameOnBill)
    {
        $this->name_on_bill = $nameOnBill;
    }

    /**
     * Get name_on_bill
     *
     * @return string 
     */
    public function getNameOnBill()
    {
        return $this->name_on_bill;
    }

    

    /**
     * Set check_purpose
     *
     * @param Dorcas\TabithaBundle\Entity\CheckPurpose $checkPurpose
     */
    public function setCheckPurpose(\Dorcas\TabithaBundle\Entity\CheckPurpose $checkPurpose)
    {
        $this->check_purpose = $checkPurpose;
    }

    /**
     * Get check_purpose
     *
     * @return Dorcas\TabithaBundle\Entity\CheckPurpose 
     */
    public function getCheckPurpose()
    {
        return $this->check_purpose;
    }
}